# The Yaf_View_Simple class

(Yaf >=1.0.0)

## Introduction

Yaf_View_Simple is the built-in template engine in Yaf, it is a simple but fast template engine, and only support PHP script template.

## Class synopsis

Yaf_View_Simple implements Yaf_View_Interface {
/* Properties */
protected $_tpl_vars ;
protected $_tpl_dir ;
/* Methods */
public assign ( string `$name` [, mixed `$value` ] ) : bool
public assignRef ( string `$name` , mixed `&$value` ) : bool
public clear ([ string `$name` ] ) : bool
final public __construct ( string `$template_dir` [, array `$options` ] )
public display ( string `$tpl` [, array `$tpl_vars` ] ) : bool
public eval ( string `$tpl_content` [, array `$tpl_vars` ] ) : string
public __get ([ string `$name` ] ) : void
public getScriptPath ( void ) : string
public __isset ( string `$name` ) : void
public render ( string `$tpl` [, array `$tpl_vars` ] ) : string
public __set ( string `$name` , mixed `$value` ) : void
public setScriptPath ( string `$template_dir` ) : bool
}

## Properties

_tpl_vars

_tpl_dir

## Table of Contents

- Yaf_View_Simple::assign — Assign values
- Yaf_View_Simple::assignRef — The assignRef purpose
- Yaf_View_Simple::clear — Clear Assigned values
- Yaf_View_Simple::__construct — Constructor of Yaf_View_Simple
- Yaf_View_Simple::display — Render and display
- Yaf_View_Simple::eval — Render template
- Yaf_View_Simple::__get — Retrieve assigned variable
- Yaf_View_Simple::getScriptPath — Get templates directory
- Yaf_View_Simple::__isset — The __isset purpose
- Yaf_View_Simple::render — Render template
- Yaf_View_Simple::__set — Set value to engine
- Yaf_View_Simple::setScriptPath — Set tempaltes directory